import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'

//实验室-列表-获取学院列表下拉列表
export const systemDeptDropList = (data) => {
	return apiResquest({
		url: `/system/dept/dropList`,
		method: 'POST',
		data: { ...data }
	})
};
//实验室-列表-获取分类下拉列表
export const laboratoryClassTypeGetList = (data) => {
	return apiResquest({
		url: `/laboratory/classType/getList`,
		method: 'POST',
		data: { ...data }
	})
};
//实验室-列表-获取分级
export const laboratoryClassLevelGetList = (data) => {
	return apiResquest({
		url: `/laboratory/classLevel/getList`,
		method: 'POST',
		data: { ...data }
	})
};
//实验室-列表
export const laboratoryAppletSubList = (data) => {
	return apiResquest({
		url: `/laboratory/applet/subList`,
		method: 'POST',
		data: { ...data }
	})
};
//实验室-详情
export const laboratoryAppletGetSubDetailInfo = (data) => {
	return apiResquest({
		url: `/laboratory/applet/getSubDetailInfo`,
		method: 'GET',
		data: data,
	})
};
//实验室-查询传感器状态
export const iotAppSensorFindBySubId = (data) => {
	return apiResquest({
		url: `/iot/app/sensor/findBySubId`,
		method: 'GET',
		data: data,
	})
};
//实验室-查询硬件设备
export const iotAppHardwareFindByType = (data) => {
	return apiResquest({
		url: `/iot/app/hardware/findByType`,
		method: 'POST',
		data: { ...data }
	})
};


//实验室-硬件设备-开关
export const iotAppHardwareOperatingHardware = (data) => {
	return apiResquest({
		url: `/iot/app/hardware/operatingHardware`,
		method: 'GET',
		data: data,
	})
};

//实验室-查询物联设备
export const iotAppDeviceFindByType = (data) => {
	return apiResquest({
		url: `/iot/app/device/findByType`,
		method: 'POST',
		data: { ...data }
	})
};
//实验室-查询喇叭列表
export const iotAppSpeakerFindHorn = (data) => {
	return apiResquest({
		url: `/iot/app/speaker/findHorn`,
		method: 'GET',
		data: data,
	})
};
//实验室-喇叭播放
export const iotAppSpeakerPlayVoice = (data) => {
	return apiResquest({
		url: `/iot/app/speaker/playVoice`,
		method: 'GET',
		data: data,
	})
};
//应急处置-查询楼栋楼层
export const laboratoryBigViewGetBuildByBigView = (data) => {
	return apiResquest({
		url: `/laboratory/bigView/getBuildByBigView`,
		method: 'GET',
		data: data,
	})
};
/****************疏散相关接口****************/
//查询当前用户下的预案触发数据
export const laboratoryBigViewSelectTriggerInfo = (data) => {
    return apiResquest({
        url: `/laboratory/bigView/selectTriggerInfo`,
        method: 'GET',
        data: data,
    })
};
//-应急处置-楼层布局数据
export const laboratoryBigViewGetFloorByBigView  = (data) => {
    return apiResquest({
        url: `/laboratory/bigView/getFloorByBigView`,
        method: 'GET',
		data:data,
    })
};
//查询当前发生的疏散
export const laboratoryExitLineGetRedisEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/exitLine/getRedisEvacuation`,
        method: 'post',
        data: data
    })
};
//应急处置-执行疏散
export const laboratoryExitLineExecuteEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/exitLine/executeEvacuation`,
        method: 'post',
        data: data
    })
};
//应急处置-结束疏散
export const laboratoryexitLineEndEvacuation  = (data) => {
    return apiResquest({
        url: `/laboratory/exitLine/endEvacuation`,
        method: 'post',
        data: data
    })
};
//应急处置-开灯
export const laboratoryExitRelayOpenLight  = (data) => {
    return apiResquest({
        url: `/laboratory/exitRelay/openLight`,
        method: 'post',
        data: data
    })
};
//应急处置-关灯
export const laboratoryExitRelayCloseLight  = (data) => {
    return apiResquest({
        url: `/laboratory/exitRelay/closeLight`,
        method: 'post',
        data: data
    })
};
//应急处置-结束预案
export const laboratoryPlanCloseRiskPlan  = (data) => {
    return apiResquest({
        url: `/laboratory/plan/closeRiskPlan`,
        method: 'GET',
        data: data,
    })
};



//安全准入审核列表接口
export const laboratoryAppletAuditListByApply = (data) => {
	return apiResquest({
		url: `/laboratory/applet/auditListByApply`,
		method: 'POST',
		data: { ...data }
	})
};
//审核信息详情(管理端)
export const laboratoryAppletGetApplyDetails  = (data) => {
    return apiResquest({
        url: `/laboratory/applet/getApplyDetails`,
        method: 'GET',
        data: data,
    })
};

//安全准入审批接口
export const laboratoryAppletEditApp  = (data) => {
    return apiResquest({
        url: '/laboratory/applet/editApp',
        method: 'POST',
        data: data,
    })
};

//分级管控-列表
export const laboratoryGradeManageList  = (data) => {
    return apiResquest({
        url: '/laboratory/gradeManage/list',
        method: 'POST',
        data: data,
    })
};

//分级管控-执行
export const laboratoryGradeManageExecute  = (data) => {
    return apiResquest({
        url: '/laboratory/gradeManage/execute',
        method: 'POST',
        data: data,
    })
};
/* *门禁授权* */
//授权开门-查询实验室列表
export function systemSubjectGetAppSubject(data) {
	return apiResquest({
		url: '/system/subject/getAppSubject',
		method: 'post',
		data: {
			...data
		}
	})
}
//授权开门-查询被授权人
export function laboratoryApplyGetUserInfo(data) {
	return apiResquest({
		url: '/laboratory/apply/getUserInfo',
		method: 'post',
		data: {
			...data
		}
	})
}
//授权开门-授权
export function laboratoryApplyAddAddApply(data) {
	return apiResquest({
		url: '/laboratory/apply/addAddApply',
		method: 'post',
		data: {
			...data
		}
	})
}
//远程开门-开门
export function laboratoryApplyRemoteOpenLock(data) {
	return apiResquest({
		url: '/laboratory/apply/remoteOpenLock',
		method: 'post',
		data: {
			...data
		}
	})
}


