import { apiResquest,apiResquestForm,apiResquestJsonList,apiResquestFormVideo,apiResquestTimer } from '@/api/request/request.js'
//查询我的证书
export const examExamQueryMyCert  = (data) => {
    return apiResquest({
         url:'/exam/exam/queryMyCert',
        method: 'POST',
        data: data,
    })
};
//查询申请记录列表
export const laboratoryAppletListApply  = (data) => {
    return apiResquest({
         url:'/laboratory/applet/listApply',
        method: 'POST',
        data: data,
    })
};
//根据名称查询实验室
export const systemMineGetListByPower  = (data) => {
    return apiResquest({
         url:'/system/mine/getListByPower',
        method: 'POST',
        data: data,
    })
};
//获取实验室当前准入配置
export const laboratoryAppletMaterialApply  = (data) => {
    return apiResquest({
         url:'/laboratory/applet/materialApply',
        method: 'POST',
        data: data,
    })
};
//准入申请-提交
export const laboratoryAppletMaterialAdd  = (data) => {
    return apiResquest({
         url:'/laboratory/applet/materialAdd',
        method: 'POST',
        data: data,
    })
};
//准入申请-编辑
export const laboratoryAppletMaterialUpdate  = (data) => {
    return apiResquest({
         url:'/laboratory/applet/materialUpdate',
        method: 'POST',
        data: data,
    })
};
//扫码兑换调用
export const exchangePoints  = (data) => {
    return apiResquest({
        url: `/exam/points/record/exchangePoints`,
        method: 'POST',
        data: {...data}
    })
};
//违规记录列表
export const examViolationMyAppList  = (data) => {
    return apiResquest({
        url: `/exam/violation/myAppList`,
        method: 'POST',
        data: {...data}
    })
};
//个人进出记录
export const laboratoryAppletMyPassOutList  = (data) => {
    return apiResquest({
        url: `/laboratory/applet/myPassOutList`,
        method: 'POST',
        data: {...data}
    })
};